Package edu.wisc.game.sql

## Enum ReplayedEpisode.RandomPlayer

- java.lang.Object
- - java.lang.Enum<ReplayedEpisode.RandomPlayer>
  - - edu.wisc.game.sql.ReplayedEpisode.RandomPlayer

- All Implemented Interfaces:
    `Serializable`, `Comparable<ReplayedEpisode.RandomPlayer>`
  Enclosing class:
    ReplayedEpisode

      public static enum ReplayedEpisode.RandomPlayer
      extends Enum<ReplayedEpisode.RandomPlayer>

  The possible random player models.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLETELY_RANDOM` |
    `MCP1` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReplayedEpisode.RandomPlayer` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ReplayedEpisode.RandomPlayer[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPLETELY_RANDOM

          public static final ReplayedEpisode.RandomPlayer COMPLETELY_RANDOM

    - #### MCP1

          public static final ReplayedEpisode.RandomPlayer MCP1

  - ### Method Detail

    - #### values

          public static ReplayedEpisode.RandomPlayer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReplayedEpisode.RandomPlayer c : ReplayedEpisode.RandomPlayer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReplayedEpisode.RandomPlayer valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null